Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[openal] Impossible d'installer le paquet 0.0.8 (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Fri May 26, 2006 9:59 pm    Post subject: [openal] Impossible d'installer le paquet 0.0.8 (résolu) Reply with quote

Voilà, je mets mon système à jour tranquillement et mon système me dit que openal-20050504 est un paquet bloquant pour freealut-1.0.1.
Alors, moi, inconscient, je le retire et fait la mise à jour.
Mais voilà, lors de la mise à jour, le système essaie d'installer openal-0.0.8 et là, j'obtiens ça:
Code:
arch/i386/x86_floatmul.c:86:74: warning: use of C99 long long integer constant
arch/i386/x86_floatmul.c:89:74: warning: use of C99 long long integer constant
arch/i386/x86_floatmul.c: In function `_alFloatMul':
arch/i386/x86_floatmul.c:86: internal compiler error: in ix86_expand_binop_builtin, at config/i386/i386.c:13246
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugs.gentoo.org/> for instructions.
Preprocessed source stored into /var/tmp/portage/openal-0.0.8/temp/cccPMDDS.out file, please attach this to your bugreport.
make[3]: *** [libopenal_la-x86_floatmul.lo] Erreur 1
make[3]: Leaving directory `/var/tmp/portage/openal-0.0.8/work/openal-0.0.8/src'make[2]: *** [all-recursive] Erreur 1
make[2]: Leaving directory `/var/tmp/portage/openal-0.0.8/work/openal-0.0.8/src'make[1]: *** [all-recursive] Erreur 1
make[1]: Leaving directory `/var/tmp/portage/openal-0.0.8/work/openal-0.0.8'
make: *** [all] Erreur 2

!!! ERROR: media-libs/openal-0.0.8 failed.
!!! Function src_compile, Line 45, Exitcode 2
!!! emake failed
!!! If you need support, post the topmost build error, NOT this status message.


Donc, je fais un petit
Code:
revdep-rebuild

Tout est réparé mais je retombe alors sur le problème initial : impossible de mettre à jour. Là, je ne sais plus quoi faire...
Code:
Gentux matthieu # emerge --update --deep --newuse --pretend world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] ~media-libs/openal-20050504 (is blocking media-libs/freealut-1.0.1)
[ebuild     UD] media-libs/openal-0.0.8 [20050504-r1]
[ebuild  N    ] media-libs/freealut-1.0.1
[ebuild     U ] games-rpg/eternal-lands-1.2.0_p1-r3 [1.2.0_p1-r1]
[ebuild     U ] sys-apps/less-394 [385_p4-r2]
[ebuild     U ] net-misc/rsync-2.6.8-r2 [2.6.8]
[ebuild  N    ] app-text/hunspell-1.1.4
[ebuild     U ] app-office/openoffice-2.0.2-r1 [2.0.1-r1]


Si quelqu'un a une idée ce serait chouette, merci, by.

Gentoo, the best distrib to understand your PC!
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.


Last edited by babos on Sat May 27, 2006 8:35 pm; edited 1 time in total
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1591
Location: 127.0.0.1

PostPosted: Fri May 26, 2006 11:00 pm    Post subject: Reply with quote

Salut,

Commence par effectuer ceci :
Code:

# echo '>media-libs/openal-20000101' >> /etc/portage/package.mask

La dernière version d'openal est la 0.0.8
Je viens de la compiler, et çà passe.

Que donne un emerge -pvuDN world après çà ?
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Fri May 26, 2006 11:43 pm    Post subject: Reply with quote

Bon ,ca n'a rien changé mais pourquoi essayer de masquer la version 20000101 de openal alors qu'il s'agit de la version 20050504 installée sur mon ordi

Voila la sortie que j'obtiens:
Code:
Gentux matthieu # emerge -pvuDN world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[blocks B     ] ~media-libs/openal-20050504 (is blocking media-libs/freealut-1.0.1)
[ebuild     UD] media-libs/openal-0.0.8 [20050504-r1] +alsa +arts -debug +esd +mp3 +sdl +vorbis 0 kB
[ebuild  N    ] media-libs/freealut-1.0.1  444 kB
[ebuild     U ] games-rpg/eternal-lands-1.2.0_p1-r3 [1.2.0_p1-r1] -doc 0 kB
[ebuild     U ] sys-apps/less-394 [385_p4-r2] -unicode 285 kB
[ebuild     U ] net-misc/rsync-2.6.8-r2 [2.6.8] -acl -build +ipv6 -static -xinetd 0 kB
[ebuild  N    ] app-text/hunspell-1.1.4  +ncurses +readline 428 kB
[ebuild     U ] app-office/openoffice-2.0.2-r1 [2.0.1-r1] -binfilter -cairo +eds +gnome +gtk +java -kde -ldap -mono +mozilla +xml 194,180 kB

Total size of downloads: 195,339 kB


Bon je vais essayer de masquer la version qui correspond à mon ordi et je vous tiens au courant.
Merci
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Fri May 26, 2006 11:47 pm    Post subject: Reply with quote

Bon ,même en changeant la version, j'ai la même sortie sur la console...
Du coup je remets la version que tu m'avais conseillé.

Merci et enjoy Gentoo en attendant de nouvelles aides.
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1591
Location: 127.0.0.1

PostPosted: Fri May 26, 2006 11:49 pm    Post subject: Reply with quote

Tu n'as pas dû taper la bonne commande : il y a un > devant openal : toutes les versions supérieures à 20000101.
Et si çà plante toujours sur la version 0.0.8, donne ton emerge --info
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Fri May 26, 2006 11:53 pm    Post subject: Reply with quote

Non, non, sûre, il y a un > devant le nom du paquet dans le fichier /etc/portage/package.mask

Voici la sortie de emerge --info
Code:
Gentux matthieu # emerge --info
Portage 2.0.54-r2 (default-linux/x86/2006.0, gcc-3.3.6, glibc-2.3.6-r3, 2.6.15-gentoo-r1 i686)
=================================================================
System uname: 2.6.15-gentoo-r1 i686 Intel(R) Pentium(R) 4 CPU 2.00GHz
Gentoo Base System version 1.6.14
ccache version 2.3 [enabled]
dev-lang/python:     2.3.4-r1, 2.4.2
dev-python/pycrypto: [Not Present]
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/ ftp://ftp.gtlib.gatech.edu/pub/gentoo http://www.gtlib.gatech.edu/pub/gentoo ftp://mirror.iawnet.sandia.gov/pub/gentoo/ ftp://ftp.ussg.iu.edu/pub/linux/gentoo ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.seren.com/gentoo http://gentoo.chem.wisc.edu/gentoo/ ftp://gentoo.chem.wisc.edu/gentoo/ http://cudlug.cudenver.edu/gentoo/ ftp://cudlug.cudenver.edu/pub/mirrors/distributions/gentoo/ http://gentoo.mirrors.pair.com/ ftp://gentoo.mirrors.pair.com/ http://gentoo.mirrors.tds.net/gentoo ftp://gentoo.mirrors.tds.net/gentoo http://gentoo.netnitco.net ftp://gentoo.netnitco.net/pub/mirrors/gentoo/source/ http://mirror.espri.arizona.edu/gentoo/ http://mirrors.acm.cs.rpi.edu/gentoo/ ftp://ftp.ndlug.nd.edu/pub/gentoo/ http://open-systems.ufl.edu/mirrors/gentoo http://gentoo.llarian.net/ ftp://gentoo.llarian.net/pub/gentoo http://gentoo.binarycompass.org http://mirror.datapipe.net/gentoo ftp://mirror.datapipe.net/gentoo http://gentoo.cs.lewisu.edu/gentoo/ ftp://linux.cs.lewisu.edu/gentoo/ http://prometheus.cs.wmich.edu/gentoo http://modzer0.cs.uaf.edu/public/gentoo/ http://mirror.usu.edu/mirrors/gentoo/ ftp://mirror.usu.edu/mirrors/gentoo/ ftp://lug.mtu.edu/gentoo http://mirror.phy.olemiss.edu/mirror/gentoo http://mirror.mcs.anl.gov/pub/gentoo/ ftp://mirror.mcs.anl.gov/pub/gentoo/ http://gentoo.mirrors.easynews.com/linux/gentoo/ http://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://ftp.wwc.edu/pub/mirrors/ftp.gentoo.org http://mirror.clarkson.edu/pub/distributions/gentoo/"
LANG="fr_FR.UTF-8"
LC_ALL="fr_FR.UTF-8"
LINGUAS="fr en es"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="x86 X alsa apache2 apm arts audiofile avi berkdb bitmap-fonts bzip2 cdr cli crypt cups curl dri dvd eds emboss encode esd exif expat fam foomaticdb fortran gdbm gif gimpprint glut gmp gnome gpm gstreamer gtk gtk2 gtkhtml idn imagemagick imlib ipv6 isdnlog java jpeg lcms libg++ libwww mad mikmod mng motif mozilla mp3 mpeg ncurses nls nptl ogg openal opengl oss pam pcre pdflib perl png ppds pppd python quicktime readline reflection sdl session spell spl ssl tcpd tiff truetype truetype-fonts type1-fonts udev usb vorbis xml xml2 xmms xorg xv zlib linguas_fr linguas_en linguas_es userland_GNU kernel_linux elibc_glibc"
Unset:  CTARGET, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTAGE_RSYNC_OPTS, PORTDIR_OVERLAY



Merci beaucoup pour l'aide :-))
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1591
Location: 127.0.0.1

PostPosted: Sat May 27, 2006 12:00 am    Post subject: Reply with quote

Oui, c'est vrai, evidemment : étant donné que openal est déjà installé, il ne tient pas compte du package.mask.
Dans ce cas, désinstalle openal et redonne un emerge -pvuDN world : normalement tu vas avoir une erreur.
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Sat May 27, 2006 12:08 am    Post subject: Reply with quote

Non, il l'accepte mais je pense que c'est à cause de la version : 0.0.8 est inférieur peut-être à 20000101.

Voici la sortie:
Code:
Gentux matthieu # emerge -pvuDN world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild  N    ] media-libs/openal-0.0.8  +alsa +arts -debug +esd +mp3 +sdl +vorbis 0 kB
[ebuild  N    ] media-libs/freealut-1.0.1  444 kB
[ebuild     U ] games-rpg/eternal-lands-1.2.0_p1-r3 [1.2.0_p1-r1] -doc 0 kB
[ebuild     U ] sys-apps/less-394 [385_p4-r2] -unicode 285 kB
[ebuild     U ] net-misc/rsync-2.6.8-r2 [2.6.8] -acl -build +ipv6 -static -xinetd 0 kB
[ebuild  N    ] app-text/hunspell-1.1.4  +ncurses +readline 428 kB
[ebuild     U ] app-office/openoffice-2.0.2-r1 [2.0.1-r1] -binfilter -cairo +eds +gnome +gtk +java -kde -ldap -mono +mozilla +xml 194,180 kB

Total size of downloads: 195,339 kB


Mais du coup en enlevant --pretend, ça plante au même endroit

J'essaie en mettant le paquet à une version 0.0.0 dans package.mask?

Merci beaucoup
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Sat May 27, 2006 12:11 am    Post subject: Reply with quote

En changeant la version dans package.mask du coup j'obtiens l'erreur que tu devais attendre:
Code:

Gentux matthieu # nano /etc/portage/package.mask
Gentux matthieu # emerge -pvuDN world

These are the packages that I would merge, in order:

Calculating world dependencies \
!!! All ebuilds that could satisfy "~media-libs/openal-0.0.8" have been masked.
!!! One of the following masked packages is required to complete your request:
- media-libs/openal-0.0.8 (masked by: package.mask)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
!!!    (dependency required by "media-libs/freealut-1.0.1" [ebuild])



!!! Problem resolving dependencies for games-rpg/eternal-lands
!!! Depgraph creation failed.


Peut-être une autre idée alors, merci :-)
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1591
Location: 127.0.0.1

PostPosted: Sat May 27, 2006 12:20 am    Post subject: Reply with quote

Non, non : c'est très bien comme çà : ne touche pas à la version.
En revanche, si tu fais un revdep-rebuild --ask, tu dois forcément avoir une erreur, sinon le revdep-rebuild ne t'aurait pas réinstallé la version 20050504. D'ailleurs il y a un tracker à ce propos.
[edit] non, en fait, c'était normal : la version 20050504 était considérée comme supérieure à 0.0.8, la fatigue... :roll:

Y'a t'il des erreurs au dessus de la ligne internal compiler error ?
A tout hasard, essaye :
Code:

# FEATURES="-ccache" emerge --oneshot openal


J'ai quasiment la même configuration que toi, et je viens de le compiler.
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Sat May 27, 2006 12:41 am    Post subject: Reply with quote

edit Là je ne sais plus trop, quel version je mets dans le Package.mask 0.0.0 ou 20000101, désolé, mais je suis un peu perdu aussi :)

Bon, alors, avant le message d'erreur, en milieu de compilation j'ai ce type d'avertissement régulièrement:

Code:
backends/alc_backend_alsa.c:126: warning: ISO C forbids assignment between function pointer and `void *'
backends/alc_backend_alsa.c:126: warning: ISO C forbids assignment between function pointer and `void *'
backends/alc_backend_alsa.c:127: warning: ISO C forbids assignment between function pointer and `void *'
backends/alc_backend_alsa.c:127: warning: ISO C forbids assignment between function pointer and `void *'


Avec revdep-rebuild, cela me done bien une erreur avec le jeu eternal-lands:

[code]
Gentux matthieu # revdep-rebuild --ask
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
(/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
(/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
broken /usr/games/bin/el (requires libopenal.so.0)
broken /usr/lib/python2.4/site-packages/_openal.so (requires libopenal.so.0)
done.
(/root/.revdep-rebuild.3_rebuild)
[code]
Assigning files to ebuilds... done.
(/root/.revdep-rebuild.4_ebuilds)

Evaluating package order... done.
(/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot --ask =games-rpg/eternal-lands-1.2.0_p1-r1
..........
!!! "--ask" should only be used in a terminal. Exiting.

revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
or
- use -X or --package-names as first argument (trys to rebuild package, not exact
ebuild)
or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
(and remove /root/.revdep-rebuild.5_order to be evaluated again)
or
- modify the above emerge command and run it manually
or
- compile or unmerge unsatisfied packages manually, remove temporary files and
try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*
[/code]

En utilisant
[code]FEATURES="-ccache" emerge --oneshot openal[/code]

J'ai toujours la même erreur à la compilation.

Sinon, je suis allé voir le tracker mais je n'ai pas très bien compris :?

Merci pour ton aide et si tu as d'autres idées, c'est avec plaisir :)
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1591
Location: 127.0.0.1

PostPosted: Sat May 27, 2006 1:01 am    Post subject: Reply with quote

Dans le package.mask, tu mets ce que je t'ai donné au début :
Code:

# echo '>media-libs/openal-20000101' >> /etc/portage/package.mask


Pour les warning, je les ai remarqué aussi pendant la compilation, mais c'est passé.
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Sat May 27, 2006 1:08 am    Post subject: Reply with quote

Bon, on était d'accord. Donc du coup tout ce que j'ai dit dans le dernier message est bien valable.
Merci
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1591
Location: 127.0.0.1

PostPosted: Sat May 27, 2006 1:10 am    Post subject: Reply with quote

çà y est : je viens certainement de trouver d'où vient ton problème :

Quote:

Gentux matthieu # emerge --info
Portage 2.0.54-r2 (default-linux/x86/2006.0,gcc-3.3.6, glibc-2.3.6-r3, 2.6.15-gentoo-r1 i686)


Il serait peut-être temps de passer à une version supérieure de gcc :wink:
A toi les joies du emerge -e system && emerge -e world
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Sat May 27, 2006 8:33 pm    Post subject: Reply with quote

youpiii! :D
C'était bien ça, j'ai recompilé avec revdep-rebuild, ca m'a pris quand même une bonne quinzaine d'heures mais ca y est! J'ai maintenant un système tout beau tout propre, merci beaucoup encore.

Prochaine étape pour moi, essayer de passer à Xorg7, by
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
genestyler
Apprentice
Apprentice


Joined: 03 Dec 2003
Posts: 155
Location: CHATEAUDUN, Eure et loir

PostPosted: Sat May 27, 2006 10:18 pm    Post subject: Reply with quote

NetFab wrote:

Il serait peut-être temps de passer à une version supérieure de gcc :wink:
A toi les joies du emerge -e system && emerge -e world


sans oublier emerge --resume voir si besoin emerge --resume --skipfirst ;o) (je suis au 6ieme resume dont 2 skipfirst) bah c'est une question de patience lol )
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Sun May 28, 2006 2:40 pm    Post subject: Reply with quote

A quoi sert cette commande ?
Code:
 emerge --resume --skipfirst


Merci :)
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
genestyler
Apprentice
Apprentice


Joined: 03 Dec 2003
Posts: 155
Location: CHATEAUDUN, Eure et loir

PostPosted: Mon May 29, 2006 10:48 pm    Post subject: Reply with quote

le resume te permet par exemple de poursuivre un emerge -e world sur un paquet qui viens de planter a la compilation (genre un fichier qui est pas bon , une erreur de compilation ou autre) helas tant que cette erreur n'est pas "eliminee" tu ne poura pas faire le resume (enfin si mais avec la meme erreure)

--skipfirst te permet donc de "sauter" le premier paquet que veux emerger --resume et donc finir plus ou moins tranquilement ton emerge -e world

evidement ne pas oublier de noter le paquet qui pose probleme pour ensuite chercher la solution pour l'emerger ou le reemerger


Last edited by genestyler on Wed May 31, 2006 11:54 pm; edited 1 time in total
Back to top
View user's profile Send private message
babos
Tux's lil' helper
Tux's lil' helper


Joined: 15 Feb 2006
Posts: 144
Location: Martinique

PostPosted: Wed May 31, 2006 12:58 am    Post subject: Reply with quote

Merci, j'aurai encore découvert plein de trucs grâce à vous deux :wink:
_________________
Quand le sage montre le ciel, l'idiot regarde son doigt.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum